aboutsummaryrefslogtreecommitdiffhomepage
path: root/templates/tools/dockerfile/java_build_interop.sh.include
diff options
context:
space:
mode:
authorGravatar Craig Tiller <ctiller@google.com>2017-06-08 23:11:34 +0000
committerGravatar Craig Tiller <ctiller@google.com>2017-06-08 23:11:34 +0000
commit91b623a10210156b03004325188b9f63b511c08f (patch)
tree715a9540f96ffea62244fac80d3ddf681e485db1 /templates/tools/dockerfile/java_build_interop.sh.include
parent93aedbfc6a3d073216b538c217d41b39dfca9570 (diff)
parentdc1685564991c65f1c177c2363c93441bc35134c (diff)
Merge github.com:grpc/grpc into epex5
Diffstat (limited to 'templates/tools/dockerfile/java_build_interop.sh.include')
-rwxr-xr-xtemplates/tools/dockerfile/java_build_interop.sh.include27
1 files changed, 27 insertions, 0 deletions
diff --git a/templates/tools/dockerfile/java_build_interop.sh.include b/templates/tools/dockerfile/java_build_interop.sh.include
new file mode 100755
index 0000000000..895b86ace0
--- /dev/null
+++ b/templates/tools/dockerfile/java_build_interop.sh.include
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Copyright 2015 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Builds Java interop server and client in a base image.
+set -e
+
+mkdir -p /var/local/git
+git clone --recursive --depth 1 /var/local/jenkins/grpc-java /var/local/git/grpc-java
+
+# copy service account keys if available
+cp -r /var/local/jenkins/service_account $HOME || true
+
+cd /var/local/git/grpc-java
+
+./gradlew :grpc-interop-testing:installDist -PskipCodegen=true